<?php
include_once '../../sys/fnc.php';
/* ---- */	
if (!isset($user) || $user->position != 'admin') {
    header('location: /');
    exit;
}

/* ---- */	
$title = 'Список услуг';
include_once '../../sys/head.php';
echo '<div class="menu_link"> Управление заказами </div>
<div class="post0">';
/* Удаление */

if (isset($_GET['delete']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['delete'])."'"),0)==1)
{
$id_service = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['delete'])."'"));
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$id_service['id_user']."'")); 

if (isset($_POST['save2'])) {
// Отключить пользователя и все его WWW домены

$reguserisp = file_get_contents("https://5.63.153.146:1500/manager/ispmgr?authinfo=root:rainbowdash2002&out=xml&func=user.delete&elid=".$id_service['isp_login']."&sok=yes");

if ($_POST['del'] == 0) {
	if(ereg('<ok/>',$reguserisp)){ 

	mysql_query("DELETE FROM `my_orders` WHERE `id` = '". $id_service['id'] ."'");

	mysql_query("INSERT INTO `system_notice` (`id_user`, `time`, `text`) values('$id_user[id]', '".time()."', 'Услуга № ".$id_service['id']."  «".$id_service['name']."» Была удалена администрацией! Причина: ".html($_POST['msg'])."')");
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `del_no`, `text`) values('$id_user[id]', '".time()."', 'Аккаунт в ISP', '1', 'Услуга № ".$id_service['id']."  «".$id_service['name']."» Была удалена администрацией! Причина: ".html($_POST['msg'])." Владелец: ".$id_user['login']."')");


mysql_query("INSERT INTO `mail` (`user`, `ank`, `msg`, `time`, `type`) values ('$id_user[id]', '0', 'Администрация удалила ваш заказ! Проверьте список заказов!', '".time()."', 'in')");
	
	header('Location: /scripts/admin/services_list.php');

	} else {
	echo '<div class="err">Попробуйте позже</div>';
	}
}
if ($_POST['del'] == 1) {

mysql_query("DELETE FROM `my_orders` WHERE `id` = '". $id_service['id'] ."'");

mysql_query("INSERT INTO `system_notice` (`id_user`, `time`, `text`) values('$id_user[id]', '".time()."', 'Услуга № ".$id_service['id']."  «".$id_service['name']."» Была удалена администрацией! Причина: ".html($_POST['msg'])."')");

mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `del_no`, `text`) values('$id_user[id]', '".time()."', 'Аккаунт в ISP', '1', 'Услуга № ".$id_service['id']."  «".$id_service['name']."» Была удалена администрацией! Причина: ".html($_POST['msg'])." Владелец: ".$id_user['login']."')");

mysql_query("INSERT INTO `mail` (`user`, `ank`, `msg`, `time`, `type`) values ('$id_user[id]', '0', 'Администрация удалила ваш заказ! Проверьте список заказов!', '".time()."', 'in')");

header('Location: /scripts/admin/services_list.php');

}
}
echo "<div class='post'><form method='post'>";	

echo '<b>Причина удаления</b>: <br><textarea name="msg"></textarea><br />';
echo "<label><input type='checkbox' name='del' value='1' /> Принудительное удаление (Если в панели уже нет такого пользователя)</label><br />\n";
echo '<input type="submit" name="save2" value="Удалить" />
</form></div>';
echo '<div class="err">* Восстановить услугу будет невозможно!</div>';
echo '<div class="menu"> » <a href="/scripts/admin/services_list.php"> Назад</a></div>';
include_once '../../sys/foot.php';
exit();
}

/* END Удаление */

/* Редактирование */

if (isset($_GET['editing']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['editing'])."'"),0)==1)
{
$id_service = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['editing'])."'"));

if (isset($_POST['save2'])) {
$status = intval($_POST['status']);
// Отключить пользователя и все его WWW домены
if ($_POST['status'] == 0 || $_POST['status'] == 2 || $_POST['status'] == 3){

$reguserisp = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.disable&elid=".$id_service['isp_login']."&sok=yes");


if(ereg('<ok/>',$reguserisp)){ 
mysql_query("UPDATE `my_orders` SET `status` = '$status' WHERE `id` = '". $id_service['id'] ."'");
header('Location: /scripts/admin/services_list.php');
}else{
echo '<div class="err">Попробуйте позже</div>';
}
}
// Включить пользователя и все его WWW домены
if ($_POST['status'] == 1){

$reguserisp = file_get_contents("https://".$server.":1500/manager/ispmgr?authinfo=".$isprootlogin.":".$isprootpaswd."&out=xml&func=user.enable&elid=".$id_service['isp_login']."&sok=yes");


if(ereg('<ok/>',$reguserisp)){ 
mysql_query("UPDATE `my_orders` SET `status` = '$status' WHERE `id` = '". $id_service['id'] ."'");
header('Location: /scripts/admin/services_list.php');
}else{
echo '<div class="err">Попробуйте позже</div>';
}
}
}
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$id_service['id_user']."'")); 

echo "<div class='post'><form method='post'>";	

echo '<b>Логин ISP</b>: <br /><input type="text" value="'.html($id_service['isp_login']).'" disabled="disabled"><br />';

echo '<b>Клиент</b>: <br /><input type="text" value="'.html($id_user['login']).'" disabled="disabled"><br />';

echo "<b>Состояние</b>:<br />\n<select name='status'>\n";
echo "<option value='0'".($id_service['status']==0?" selected='selected'":null).">Заказан</option>\n";
echo "<option value='1'".($id_service['status']==1?" selected='selected'":null).">Активен</option>\n";
echo "<option value='2'".($id_service['status']==2?" selected='selected'":null).">Остановлен</option>\n";
echo "<option value='3'".($id_service['status']==3?" selected='selected'":null).">Обрабатывается</option>\n";
echo "</select><br />\n";

echo '<input type="submit" name="save2" value="Сохранить" />
</form></div>';
echo '<div class="menu"> » <a href="/scripts/admin/services_list.php"> Назад</a></div>';
include_once '../../sys/foot.php';
exit();
}
/* END Редактирование */

/* Информация */
if (isset($_GET['information']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['information'])."'"),0)==1)
{
$id_information = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['information'])."'"));

echo "<div class='post'>";

echo '<b>Логин ISP</b>: '.html($id_information['isp_login']).'<br />';

echo '<b>Пароль ISP</b>: '.html($id_information['isp_password']).'<br />';

echo "</div>";
echo '<div class="menu"> » <a href="/scripts/admin/services_list.php"> Назад</a></div>';
include_once '../../sys/foot.php';
exit();
}
/* END Информация */

/* Добавляем дни определенному заказу */

if (isset($_GET['add_day']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['add_day'])."'"),0)==1)
{
$id_add_day = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['add_day'])."'"));

if (isset($_POST['save3'])) {
$day = 60*60*24*intval($_POST['day']);

mysql_query("UPDATE `my_orders` SET `works_to` = '".($id_add_day['works_to']+$day)."' WHERE `id` = '". $id_add_day['id'] ."'");

mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('".$user->id."', '".time()."', 'Добавление дней ID: ".intval($_GET['add_day'])."', 'Добавили ".intval($_POST['day'])." дн.')"); // Записуем лог

header('Location: /scripts/admin/services_list.php');

}

echo "<div class='post'><form method='post'>";	
// 1414753206
echo "<b>Добавить дней</b>:<br />\n<select name='day'>\n";
echo "<option value='1'>1</option>\n";
echo "<option value='2'>2</option>\n";
echo "<option value='3'>3</option>\n";
echo "<option value='4'>4</option>\n";
echo "<option value='5'>5</option>\n";
echo "<option value='6'>6</option>\n";
echo "<option value='7'>7</option>\n";
echo "<option value='8'>8</option>\n";
echo "<option value='9'>9</option>\n";
echo "<option value='10'>10</option>\n";
echo "<option value='11'>11</option>\n";
echo "<option value='12'>12</option>\n";
echo "<option value='13'>13</option>\n";
echo "<option value='14'>14</option>\n";
echo "<option value='15'>15</option>\n";
echo "<option value='16'>16</option>\n";
echo "<option value='17'>17</option>\n";
echo "<option value='18'>18</option>\n";
echo "<option value='10'>19</option>\n";
echo "<option value='20'>20</option>\n";
echo "<option value='21'>21</option>\n";
echo "<option value='22'>22</option>\n";
echo "<option value='23'>23</option>\n";
echo "<option value='24'>24</option>\n";
echo "<option value='25'>25</option>\n";
echo "<option value='26'>26</option>\n";
echo "<option value='27'>27</option>\n";
echo "<option value='28'>28</option>\n";
echo "<option value='29'>29</option>\n";
echo "<option value='30'>30</option>\n";

echo "</select><br />\n";

echo '<input type="submit" name="save3" value="Добавить" />
</form></div>';


echo '<div class="menu"> » <a href="/scripts/admin/services_list.php"> Назад</a></div>';
include_once '../../sys/foot.php';
exit();
}

$c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders`"),0);
$p_page = '10';
$k_page = k_page($c_p, $p_page);
$page = page($k_page);
$start = $p_page*$page-$p_page;
			
if ($c_p == 0) {
	echo '<div class="err">Ошибка! Список пустой!</div>';
}else{

$query = mysql_query("SELECT * FROM `my_orders` ORDER BY `works_to` DESC LIMIT $start, ". $p_page);
while ($post = mysql_fetch_assoc($query)) {
// Вывод статуса
$status_k = array(0 => '<font color="#858513">Заказан №'.$post['id'].'</font>', 1 => '<font color="#009900">Активен</font>', 2 => '<font color="red">Остановлен</font>', 3 => '<font color="#181818">Обрабатывается</font>');
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['id_user']."'")); // Определение клиента
//Вводим дату, до которой считать

$date_to = $post['works_to'];

$date_now = time();  //текущая дата

$date_left = $date_to-$date_now;//сколько осталось

$gtdate = getdate($date_left); // переводим в массив

?>
<div class="menu_razd">
Заказ №<?= $post['id'] ?>
</div>
<div class="menu">
Клиент: <a href="/user<?= $id_user['id'] ?>" title="Аккаунт <?= html($id_user['login']) ?>"><?= html($id_user['login']) ?></a><br />
Логин ISP: <?= html($post['isp_login']) ?>
</div>
<div class="menu">
Тариф: <?= html($post['name']) ?><br />
Цена/мес.: <?= intval($post['price']) ?> WMR
</div>
<div class="menu">
Действует до: <?= ptime(intval($post['works_to'])) ?> <? if($post['status']==1){?>[<?echo ($gtdate['yday'] > 10? '<font color="#009900">'.$gtdate['yday'].' дн.</font>' : '<font color="red">'.$gtdate['yday'].' дн.</font>') ?>]<?}?><br />
Состояние: <?= $status_k[$post['status']] ?>
</div>
<div class="menu">
Дополнение: <a href="services_list.php?information=<?= $post['id'] ?>"><img src="/style/img/info.png" title="Информация"></a> <a href="services_list.php?editing=<?= $post['id'] ?>"><img src="/style/img/settings.png" title="Редактировать"></a> <a href="https://<?= $server ?>/manager/ispmgr?func=auth&username=<?= $post['isp_login'] ?>&password=<?= $post['isp_password'] ?>"><img src="/style/img/ispmgr.png" title="На сервер"></a>
<a href="services_list.php?delete=<?= $post['id'] ?>"><img src="/style/img/delete2.png" title="Удалить"></a>
<a href="services_list.php?add_day=<?= $post['id'] ?>"><img src="/style/img/time_add.png" title="Добавить дни"></a>

</div>
<?
}

if ($k_page > 1) str('/scripts/admin/services_list.php?', $k_page, $page);
}
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
?>